// import android.os.Bundle
// import android.widget.Button
// import android.widget.EditText
// import android.widget.Toast
// import androidx.appcompat.app.AppCompatActivity
// import com.google.gson.Gson
// import com.google.gson.annotations.SerializedName
// import okhttp3.OkHttpClient
// import okhttp3.Request
// import okhttp3.Response
// import okhttp3.MediaType.Companion.toMediaType
// import okhttp3.RequestBody.Companion.toRequestBody
// import kotlinx.coroutines.CoroutineScope
// import kotlinx.coroutines.Dispatchers
// import kotlinx.coroutines.launch
// import kotlinx.coroutines.withContext

// data class UserCredentials(
//     @SerializedName("username") val username: String,
//     @SerializedName("password") val password: String
// )

// class MainActivity : AppCompatActivity() {

//     private lateinit var usernameEditText: EditText
//     private lateinit var passwordEditText: EditText
//     private lateinit var submitButton: Button

//     override fun onCreate(savedInstanceState: Bundle?) {
//         super.onCreate(savedInstanceState)
//         setContentView(R.layout.activity_main)

//         usernameEditText = findViewById(R.id.usernameEditText)
//         passwordEditText = findViewById(R.id.passwordEditText)
//         submitButton = findViewById(R.id.submitButton)

//         submitButton.setOnClickListener {
//             val username = usernameEditText.text.toString()
//             val password = passwordEditText.text.toString()
//             sendDataToServer(username, password)
//         }
//     }

//     private fun sendDataToServer(username: String, password: String) {
//         val userCredentials = UserCredentials(username, password)
//         val json = Gson().toJson(userCredentials)

//         CoroutineScope(Dispatchers.IO).launch {
//             val response = postData(json)
//             withContext(Dispatchers.Main) {
//                 if (response != null) {
//                     Toast.makeText(this@MainActivity, "Response: $response", Toast.LENGTH_LONG).show()
//                 } else {
//                     Toast.makeText(this@MainActivity, "Failed to send data", Toast.LENGTH_LONG).show()
//                 }
//             }
//         }
//     }

//     private suspend fun postData(json: String): String? {
//         val client = OkHttpClient()
//         val requestBody = json.toRequestBody("application/json; charset=utf-8".toMediaType())

//         val request = Request.Builder()
//             .url("http://192.168.1.142:8080")
//             .post(requestBody)
//             .build()

//         return try {
//             val response: Response = client.newCall(request).execute()
//             if (response.isSuccessful) {
//                 response.body?.string()
//             } else {
//                 null
//             }
//         } catch (e: Exception) {
//             e.printStackTrace()
//             null
//         }
//     }
// }

import android.os.Bundle
import android.widget.Button
import android.widget.EditText
import androidx.appcompat.app.AppCompatActivity
import okhttp3.Call
import retrofit2.Retrofit
import retrofit2.converter.gson.GsonConverterFactory
import retrofit2.create
import retrofit2.http.Body
import retrofit2.http.GET
import retrofit2.http.POST
import ru.myitschool.work.R

data class LoginRequest(val login: String, val password: String)
data class LoginResponse(val id: Int, val login: String, val password: String, val isAdmin: Boolean,
val name: String, val photo: String, val position: String, val lastVisit: String)

interface ApiService {
    @POST("login")
    suspend fun login(@Body request: LoginRequest) : LoginResponse
}

class MainActivity : AppCompatActivity() {
    private lateinit var apiService: ApiService

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        setContentView(R.layout.fragment_login)
        val loginEditText = findViewById<EditText>(R.id.username)
        val passwordEditText = findViewById<EditText>(R.id.password)
        val loginButton = findViewById<Button>(R.id.login)

        val retrofit = Retrofit.Builder()
            .baseUrl("http://192.168.1.142:8080/")
            .addConverterFactory(GsonConverterFactory.create())
            .build()
        apiService = retrofit.create(ApiService::class.java)
        loginButton.setOnClickListener {
            val login = loginEditText.text.toString()
            val password = passwordEditText.text.toString()
            loginUser(login, password)
        }
    }
}

private fun loginUser(login: String, password: String) {
    //выполнение запроса!!!!
    //получение ответа
}

class UserActivity: AppCompatActivity() {
    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
    }
}